package ru.dbotthepony.mc.otm.mixin;

import net.minecraft.util.RandomSource;
import net.minecraft.world.level.Level;
import net.neoforged.fml.ModList;
import org.jetbrains.annotations.Nullable;
import org.spongepowered.asm.mixin.Mixin;
import ru.dbotthepony.mc.otm.core.IMatteryLevel;
import ru.dbotthepony.mc.otm.core.util.GJRAND64RandomSource;

@Mixin(Level.class)
public abstract class LevelMixin implements IMatteryLevel {
	private final RandomSource otm_random = ModList.get().isLoaded("better_random") ? null : new GJRAND64RandomSource();

	@Override
	public @Nullable RandomSource getOtmRandom() {
		return otm_random;
	}
}
